import React from 'react';
import ReactDOM from 'react-dom';
import { select, arc } from 'd3';
const svg = select('svg');

const width = 960;
const height = 500;
const centerX = width / 2;
const centerY = height / 2;
const strokeWidth = 20;
const eyeOffsetX = 90;
const eyeOffsetY = 100;
const eyeRadius = 40;
const mouthWidth = 10;
const mouthRadius = 160;
const eyebrowWidth = 70;
const eyebrowHeight = 20;
const eyebrowYOffset = -70;


const mouthArc = arc()
	.innerRadius(mouthRadius)
	.outerRadius(mouthRadius + mouthWidth)
	.startAngle(Math.PI/2)
	.endAngle(Math.PI*3/2);

const App = () => (
<svg width={width} height={height}>
  <g transform={`translate(${centerX},${centerY})`}>
      <circle
        r={centerY - strokeWidth / 2}
        fill="grey"
        stroke="white"
        stroke-width={strokeWidth}
      />
    <circle
        cx={-eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius}
      	fill="black"
      	stroke="white"
      	stroke-width="7"
      />
    <circle
        cx={eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius}
      	fill="black"
      	stroke="white"
      	stroke-width="7"
      />
      <circle
        cx={eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius/2}
        fill = "white"
        stroke = "white"
      />
      <circle
        cx={-eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius/2}
        fill = "white"
        stroke = "white"
      />
    <ellipse
        rx={eyeRadius/2}
        ry={eyeRadius/2}
        fill = "white"
        stroke = "white"
      />
    
      <line
        x1={100}
        y1={33}
        x2={30}
        y2={10}
        stroke = "white"
        stroke-width = '5'
      />
      <line
        x1={-100}
        y1={33}
        x2={-30}
        y2={10}
        stroke = "white"
        stroke-width = '5'
      />
      <line
        x1={-100}
        y1={20}
        x2={-30}
        y2={10}
        stroke = "white"
        stroke-width = '5'
      />
      <line
        x1={100}
        y1={20}
        x2={30}
        y2={10}
        stroke = "white"
        stroke-width = '5'
      />
      <line
        x1={-200}
        y1={-235}
        x2={-120}
        y2={-210}
        stroke = "black"
        stroke-width = '15'
      />
      <line
        x1={200}
        y1={-235}
        x2={120}
        y2={-210}
        stroke = "black"
        stroke-width = '15'
      />
      <line
        x1={-200}
        y1={-240}
        x2={-200}
        y2={-140}
        stroke = "black"
        stroke-width = '15'
      />
      <line
        x1={200}
        y1={-240}
        x2={200}
        y2={-140}
        stroke = "black"
        stroke-width = '15'
      />
    
  <path d={mouthArc()}/>
  </g>
  </svg>
);

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);